using UnityEngine;

public class Cam : MonoBehaviour {
  public Vector3 CamOffset = new Vector3(0f, 1.2f, -2.6f);  // 1  
  private Transform p; // 2

  void Start() {
    p = GameObject.Find("Player").transform; // 3
  }

  void LateUpdate() {   // 4
    this.transform.position = p.TransformPoint(CamOffset); // 5
    this.transform.LookAt(p); // 6
  }
}
